StackHawk Documentation StackHawk Logo HawkDocs
api authentication

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

↑ ↓ ↵ esc

Refresh existing authentication

GET /api/v1/auth/refresh-token

Access Refresh

Once authenticated, an issued API Access Token will expire after 30 minutes.

This authenticated endpoint will "refresh" the access token by issuing a new jwt token with an extended expiration.

This endpoint refreshes only access tokens that were issued from a StackHawk API Key via the /login route. A browser session (APPLICATION) token obtained by signing in to the StackHawk web app cannot be refreshed here; presenting one returns 401 Unauthorized. Browser sessions are refreshed by the web app itself.

For best practices, use the /refresh-token route for refreshing authentication access to extend the API session.

Response

200
token
string

the bearer token value

token
string

the bearer token value

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.